package com.fs.his.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.common.core.domain.R;
import com.fs.his.domain.SysRedpacketConfigMore;
import com.fs.his.param.updateChangeMchIdParam;

import java.util.List;

/**
 * 多商户配置Service接口
 *
 * @author fs
 * @date 2025-11-27
 */
public interface ISysRedpacketConfigMoreService extends IService<SysRedpacketConfigMore> {
    /**
     * 查询多商户配置
     *
     * @param id 多商户配置主键
     * @return 多商户配置
     */
    SysRedpacketConfigMore selectSysRedpacketConfigMoreById(Long id);
    Long getRedPacketConFig();
    R updateChangeMchId(updateChangeMchIdParam param);
    void changeRedPacketConfig();


    /**
     * 查询多商户配置列表
     *
     * @param sysRedpacketConfigMore 多商户配置
     * @return 多商户配置集合
     */
    List<SysRedpacketConfigMore> selectSysRedpacketConfigMoreList(SysRedpacketConfigMore sysRedpacketConfigMore);

    /**
     * 新增多商户配置
     *
     * @param sysRedpacketConfigMore 多商户配置
     * @return 结果
     */
    int insertSysRedpacketConfigMore(SysRedpacketConfigMore sysRedpacketConfigMore);

    /**
     * 修改多商户配置
     *
     * @param sysRedpacketConfigMore 多商户配置
     * @return 结果
     */
    int updateSysRedpacketConfigMore(SysRedpacketConfigMore sysRedpacketConfigMore);

    /**
     * 批量删除多商户配置
     *
     * @param ids 需要删除的多商户配置主键集合
     * @return 结果
     */
    int deleteSysRedpacketConfigMoreByIds(Long[] ids);

    /**
     * 删除多商户配置信息
     *
     * @param id 多商户配置主键
     * @return 结果
     */
    int deleteSysRedpacketConfigMoreById(Long id);
}
